Package com.zfabrik.impl.svncr

## Class ComponentRepositoryDB

- java.lang.Object
- - com.zfabrik.components.provider.util.FSComponentExtRepositoryDB<com.zfabrik.components.provider.util.FSCRDBComponent>
  - - com.zfabrik.components.provider.util.FSComponentRepositoryDB
    - - com.zfabrik.impl.svncr.ComponentRepositoryDB

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ComponentRepositoryDB
      extends com.zfabrik.components.provider.util.FSComponentRepositoryDB

  Extension holding further, SVN specific, repository metadata.
  Author:
    hb
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.zfabrik.components.provider.util.FSComponentExtRepositoryDB

      `FIND_CACHE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentRepositoryDB()` |
    `ComponentRepositoryDB​(long revision, java.lang.String uuid)` |
    `ComponentRepositoryDB​(ComponentRepositoryDB db)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getRevision()` |
    `java.lang.String` | `getUuid()` |
    `int` | `hashCode()` |
    `void` | `setRevision​(long revision)` |
    `void` | `setUuid​(java.lang.String uuid)` |

    - ### Methods inherited from class com.zfabrik.components.provider.util.FSComponentExtRepositoryDB

      `clearCache, delegate, findComponents, getCacheHits, getCacheQueries, getCacheSize, getComponents, getComponentsOfModule, getModules, getRevision, hasComponentModule, hasModule, moduleOf, putComponent, removeComponent, removeModule`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentRepositoryDB

          public ComponentRepositoryDB()

    - #### ComponentRepositoryDB

          public ComponentRepositoryDB​(long revision,
                                       java.lang.String uuid)

    - #### ComponentRepositoryDB

          public ComponentRepositoryDB​(ComponentRepositoryDB db)

  - ### Method Detail

    - #### setUuid

          public void setUuid​(java.lang.String uuid)

    - #### getUuid

          public java.lang.String getUuid()

    - #### getRevision

          public long getRevision()

    - #### setRevision

          public void setRevision​(long revision)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `com.zfabrik.components.provider.util.FSComponentExtRepositoryDB<com.zfabrik.components.provider.util.FSCRDBComponent>`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `com.zfabrik.components.provider.util.FSComponentExtRepositoryDB<com.zfabrik.components.provider.util.FSCRDBComponent>`